[14.04 64Bit Beta 2] - sudo apt-get upgrade: "The following packages have been kept back:" ?

Ralf Mardorf kde.lists at yahoo.com
Fri Apr 18 18:37:59 UTC 2014


The output of

$ cat /etc/apt/sources.list
$ cat /etc/apt/sources.list.d/*
$ cat /etc/apt/preferences
$ cat /etc/apt/preferences.d/*
# dpkg -l | grep ^h

might be useful.

apt-cache's dependency options might be useful for troubleshooting too
http://manpages.ubuntu.com/manpages/precise/man8/apt-cache.8.html

Use https://startpage.com/ and search for
        ubuntu kept back libavdevice53

The first hit I got is
http://askubuntu.com/questions/216371/apt-get-dist-upgrade-doesnt-fix-the-following-packages-have-been-kept-back

"That means they've been kept back for a more difficult reason than new
dependencies or needing the removal of other packages. Try apt-get
install libavdevice53, which will try a bit harder to upgrade that
package. You may find that it wants to remove something you don't want
removed."






More information about the kubuntu-users mailing list